## WebKitDOMNode WebKitDOMNode |

## Functions

WebKitDOMNode * | webkit_dom_node_insert_before ()
WebKitDOMNode * | webkit_dom_node_replace_child ()
WebKitDOMNode * | webkit_dom_node_remove_child ()
WebKitDOMNode * | webkit_dom_node_append_child ()
gboolean | webkit_dom_node_has_child_nodes ()
WebKitDOMNode * | webkit_dom_node_clone_node ()
void | webkit_dom_node_normalize ()
gboolean | webkit_dom_node_is_supported ()
gboolean | webkit_dom_node_is_same_node ()
gboolean | webkit_dom_node_is_equal_node ()
gchar * | webkit_dom_node_lookup_prefix ()
gboolean | webkit_dom_node_is_default_namespace ()
gchar * | webkit_dom_node_lookup_namespace_uri ()
gushort | webkit_dom_node_compare_document_position ()
gboolean | webkit_dom_node_contains ()
gboolean | webkit_dom_node_dispatch_event ()
gchar * | webkit_dom_node_get_node_name ()
gchar * | webkit_dom_node_get_node_value ()
void | webkit_dom_node_set_node_value ()
gushort | webkit_dom_node_get_node_type ()
WebKitDOMNode * | webkit_dom_node_get_parent_node ()
WebKitDOMNodeList * | webkit_dom_node_get_child_nodes ()
WebKitDOMNode * | webkit_dom_node_get_first_child ()
WebKitDOMNode * | webkit_dom_node_get_last_child ()
WebKitDOMNode * | webkit_dom_node_get_previous_sibling ()
WebKitDOMNode * | webkit_dom_node_get_next_sibling ()
WebKitDOMDocument * | webkit_dom_node_get_owner_document ()
gchar * | webkit_dom_node_get_namespace_uri ()
gchar * | webkit_dom_node_get_prefix ()
void | webkit_dom_node_set_prefix ()
gchar * | webkit_dom_node_get_local_name ()
gchar * | webkit_dom_node_get_base_uri ()
gchar * | webkit_dom_node_get_text_content ()
void | webkit_dom_node_set_text_content ()
WebKitDOMElement * | webkit_dom_node_get_parent_element ()
WebKitDOMNamedNodeMap * | webkit_dom_node_get_attributes ()
gboolean | webkit_dom_node_has_attributes ()

## Properties

gchar * | base-uri | Read
WebKitDOMNodeList * | child-nodes | Read
WebKitDOMNode * | first-child | Read
WebKitDOMNode * | last-child | Read
gchar * | local-name | Read
gchar * | namespace-uri | Read
WebKitDOMNode * | next-sibling | Read
gchar * | node-name | Read
guint | node-type | Read
gchar * | node-value | Read / Write
WebKitDOMDocument * | owner-document | Read
WebKitDOMElement * | parent-element | Read
WebKitDOMNode * | parent-node | Read
gchar * | prefix | Read / Write
WebKitDOMNode * | previous-sibling | Read
gchar * | text-content | Read / Write

## Types and Values

| WebKitDOMNode

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ├── WebKitDOMAttr
                ├── WebKitDOMCharacterData
                ├── WebKitDOMDocumentFragment
                ├── WebKitDOMDocument
                ├── WebKitDOMDocumentType
                ├── WebKitDOMElement
                ╰── WebKitDOMEntityReference

## Implemented Interfaces

WebKitDOMNode implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_node_insert_before ()

    WebKitDOMNode *
    webkit_dom_node_insert_before (WebKitDOMNode *self,
                                   WebKitDOMNode *newChild,
                                   WebKitDOMNode *refChild,
                                   GError **error);

#### Parameters

self | A WebKitDOMNode |
newChild | A WebKitDOMNode |
refChild | A WebKitDOMNode. | [allow-none]
error | GError |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_node_replace_child ()

    WebKitDOMNode *
    webkit_dom_node_replace_child (WebKitDOMNode *self,
                                   WebKitDOMNode *newChild,
                                   WebKitDOMNode *oldChild,
                                   GError **error);

#### Parameters

self | A WebKitDOMNode |
newChild | A WebKitDOMNode |
oldChild | A WebKitDOMNode |
error | GError |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_node_remove_child ()

    WebKitDOMNode *
    webkit_dom_node_remove_child (WebKitDOMNode *self,
                                  WebKitDOMNode *oldChild,
                                  GError **error);

#### Parameters

self | A WebKitDOMNode |
oldChild | A WebKitDOMNode |
error | GError |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_node_append_child ()

    WebKitDOMNode *
    webkit_dom_node_append_child (WebKitDOMNode *self,
                                  WebKitDOMNode *newChild,
                                  GError **error);

#### Parameters

self | A WebKitDOMNode |
newChild | A WebKitDOMNode |
error | GError |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_node_has_child_nodes ()

    gboolean
    webkit_dom_node_has_child_nodes (WebKitDOMNode *self);

#### Parameters

self | A WebKitDOMNode |

#### Returns

A gboolean

### webkit_dom_node_clone_node ()

    WebKitDOMNode *
    webkit_dom_node_clone_node (WebKitDOMNode *self,
                                gboolean deep);

#### Parameters

self | A WebKitDOMNode |
deep | A gboolean |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_node_normalize ()

    void
    webkit_dom_node_normalize (WebKitDOMNode *self);

#### Parameters

self | A WebKitDOMNode |

### webkit_dom_node_is_supported ()

    gboolean
    webkit_dom_node_is_supported (WebKitDOMNode *self,
                                  const gchar *feature,
                                  const gchar *version);

#### Parameters

self | A WebKitDOMNode |
feature | A gchar |
version | A gchar |

#### Returns

A gboolean

### webkit_dom_node_is_same_node ()

    gboolean
    webkit_dom_node_is_same_node (WebKitDOMNode *self,
                                  WebKitDOMNode *other);

#### Parameters

self | A WebKitDOMNode |
other | A WebKitDOMNode |

#### Returns

A gboolean

### webkit_dom_node_is_equal_node ()

    gboolean
    webkit_dom_node_is_equal_node (WebKitDOMNode *self,
                                   WebKitDOMNode *other);

#### Parameters

self | A WebKitDOMNode |
other | A WebKitDOMNode |

#### Returns

A gboolean

### webkit_dom_node_lookup_prefix ()

    gchar *
    webkit_dom_node_lookup_prefix (WebKitDOMNode *self,
                                   const gchar *namespaceURI);

#### Parameters

self | A WebKitDOMNode |
namespaceURI | A gchar |

#### Returns

A gchar

### webkit_dom_node_is_default_namespace ()

    gboolean
    webkit_dom_node_is_default_namespace (WebKitDOMNode *self,
                                          const gchar *namespaceURI);

#### Parameters

self | A WebKitDOMNode |
namespaceURI | A gchar |

#### Returns

A gboolean

### webkit_dom_node_lookup_namespace_uri ()

    gchar *
    webkit_dom_node_lookup_namespace_uri (WebKitDOMNode *self,
                                          const gchar *prefix);

#### Parameters

self | A WebKitDOMNode |
prefix | A gchar |

#### Returns

A gchar

### webkit_dom_node_compare_document_position ()

    gushort
    webkit_dom_node_compare_document_position
                                   (WebKitDOMNode *self,
                                    WebKitDOMNode *other);

#### Parameters

self | A WebKitDOMNode |
other | A WebKitDOMNode |

#### Returns

A gushort

### webkit_dom_node_contains ()

    gboolean
    webkit_dom_node_contains (WebKitDOMNode *self,
                              WebKitDOMNode *other);

#### Parameters

self | A WebKitDOMNode |
other | A WebKitDOMNode |

#### Returns

A gboolean

### webkit_dom_node_dispatch_event ()

    gboolean
    webkit_dom_node_dispatch_event (WebKitDOMNode *self,
                                    WebKitDOMEvent *event,
                                    GError **error);

`webkit_dom_node_dispatch_event` has been deprecated since version 2.4 and should not be used in newly-written code.

Use `webkit_dom_event_target_dispatch_event()` instead.

#### Parameters

self | A WebKitDOMNode |
event | A WebKitDOMEvent |
error | GError |

#### Returns

A gboolean

### webkit_dom_node_get_node_name ()

    gchar *
    webkit_dom_node_get_node_name (WebKitDOMNode *self);

`webkit_dom_node_get_node_name` is deprecated and should not be used in newly-written code.

#### Parameters

self | A WebKitDOMNode |

#### Returns

A gchar

### webkit_dom_node_get_node_value ()

    gchar *
    webkit_dom_node_get_node_value (WebKitDOMNode *self);

#### Parameters

self | A WebKitDOMNode |

#### Returns

A gchar

### webkit_dom_node_set_node_value ()

    void
    webkit_dom_node_set_node_value (WebKitDOMNode *self,
                                    const gchar *value,
                                    GError **error);

#### Parameters

self | A WebKitDOMNode |
value | A gchar |
error | GError |

### webkit_dom_node_get_node_type ()

    gushort
    webkit_dom_node_get_node_type (WebKitDOMNode *self);

#### Parameters

self | A WebKitDOMNode |

#### Returns

A gushort

### webkit_dom_node_get_parent_node ()

    WebKitDOMNode *
    webkit_dom_node_get_parent_node (WebKitDOMNode *self);

#### Parameters

self | A WebKitDOMNode |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_node_get_child_nodes ()

    WebKitDOMNodeList *
    webkit_dom_node_get_child_nodes (WebKitDOMNode *self);

#### Parameters

self | A WebKitDOMNode |

#### Returns

A WebKitDOMNodeList.

[transfer full]

### webkit_dom_node_get_first_child ()

    WebKitDOMNode *
    webkit_dom_node_get_first_child (WebKitDOMNode *self);

#### Parameters

self | A WebKitDOMNode |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_node_get_last_child ()

    WebKitDOMNode *
    webkit_dom_node_get_last_child (WebKitDOMNode *self);

#### Parameters

self | A WebKitDOMNode |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_node_get_previous_sibling ()

    WebKitDOMNode *
    webkit_dom_node_get_previous_sibling (WebKitDOMNode *self);

#### Parameters

self | A WebKitDOMNode |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_node_get_next_sibling ()

    WebKitDOMNode *
    webkit_dom_node_get_next_sibling (WebKitDOMNode *self);

#### Parameters

self | A WebKitDOMNode |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_node_get_owner_document ()

    WebKitDOMDocument *
    webkit_dom_node_get_owner_document (WebKitDOMNode *self);

#### Parameters

self | A WebKitDOMNode |

#### Returns

A WebKitDOMDocument.

[transfer none]

### webkit_dom_node_get_namespace_uri ()

    gchar *
    webkit_dom_node_get_namespace_uri (WebKitDOMNode *self);

#### Parameters

self | A WebKitDOMNode |

#### Returns

A gchar

### webkit_dom_node_get_prefix ()

    gchar *
    webkit_dom_node_get_prefix (WebKitDOMNode *self);

#### Parameters

self | A WebKitDOMNode |

#### Returns

A gchar

### webkit_dom_node_set_prefix ()

    void
    webkit_dom_node_set_prefix (WebKitDOMNode *self,
                                const gchar *value,
                                GError **error);

#### Parameters

self | A WebKitDOMNode |
value | A gchar |
error | GError |

### webkit_dom_node_get_local_name ()

    gchar *
    webkit_dom_node_get_local_name (WebKitDOMNode *self);

#### Parameters

self | A WebKitDOMNode |

#### Returns

A gchar

### webkit_dom_node_get_base_uri ()

    gchar *
    webkit_dom_node_get_base_uri (WebKitDOMNode *self);

#### Parameters

self | A WebKitDOMNode |

#### Returns

A gchar

### webkit_dom_node_get_text_content ()

    gchar *
    webkit_dom_node_get_text_content (WebKitDOMNode *self);

#### Parameters

self | A WebKitDOMNode |

#### Returns

A gchar

### webkit_dom_node_set_text_content ()

    void
    webkit_dom_node_set_text_content (WebKitDOMNode *self,
                                      const gchar *value,
                                      GError **error);

#### Parameters

self | A WebKitDOMNode |
value | A gchar |
error | GError |

### webkit_dom_node_get_parent_element ()

    WebKitDOMElement *
    webkit_dom_node_get_parent_element (WebKitDOMNode *self);

#### Parameters

self | A WebKitDOMNode |

#### Returns

A WebKitDOMElement.

[transfer none]

### webkit_dom_node_get_attributes ()

    WebKitDOMNamedNodeMap *
    webkit_dom_node_get_attributes (WebKitDOMNode *self);

`webkit_dom_node_get_attributes` is deprecated and should not be used in newly-written code.

### webkit_dom_node_has_attributes ()

    gboolean
    webkit_dom_node_has_attributes (WebKitDOMNode *self);

`webkit_dom_node_has_attributes` is deprecated and should not be used in newly-written code.

## Types and Values

### WebKitDOMNode

    typedef struct _WebKitDOMNode WebKitDOMNode;

## Property Details

### The `“base-uri”` property

      “base-uri”                 gchar *

read-only gchar* Node:base-uri.

Flags: Read

Default value: ""

### The `“child-nodes”` property

      “child-nodes”              WebKitDOMNodeList *

read-only WebKitDOMNodeList* Node:child-nodes.

Flags: Read

### The `“first-child”` property

      “first-child”              WebKitDOMNode *

read-only WebKitDOMNode* Node:first-child.

Flags: Read

### The `“last-child”` property

      “last-child”               WebKitDOMNode *

read-only WebKitDOMNode* Node:last-child.

Flags: Read

### The `“local-name”` property

      “local-name”               gchar *

read-only gchar* Node:local-name.

Flags: Read

Default value: ""

### The `“namespace-uri”` property

      “namespace-uri”            gchar *

read-only gchar* Node:namespace-uri.

Flags: Read

Default value: ""

### The `“next-sibling”` property

      “next-sibling”             WebKitDOMNode *

read-only WebKitDOMNode* Node:next-sibling.

Flags: Read

### The `“node-name”` property

      “node-name”                gchar *

read-only gchar* Node:node-name.

Flags: Read

Default value: ""

### The `“node-type”` property

      “node-type”                guint

read-only gushort Node:node-type.

Flags: Read

Default value: 0

### The `“node-value”` property

      “node-value”               gchar *

read-write gchar* Node:node-value.

Flags: Read / Write

Default value: ""

### The `“owner-document”` property

      “owner-document”           WebKitDOMDocument *

read-only WebKitDOMDocument* Node:owner-document.

Flags: Read

### The `“parent-element”` property

      “parent-element”           WebKitDOMElement *

read-only WebKitDOMElement* Node:parent-element.

Flags: Read

### The `“parent-node”` property

      “parent-node”              WebKitDOMNode *

read-only WebKitDOMNode* Node:parent-node.

Flags: Read

### The `“prefix”` property

      “prefix”                   gchar *

read-write gchar* Node:prefix.

Flags: Read / Write

Default value: ""

### The `“previous-sibling”` property

      “previous-sibling”         WebKitDOMNode *

read-only WebKitDOMNode* Node:previous-sibling.

Flags: Read

### The `“text-content”` property

      “text-content”             gchar *

read-write gchar* Node:text-content.

Flags: Read / Write

Default value: ""